Ansible Plugin - Story #4199
Story # 4188 (CLOSED - CURRENTRELEASE): As a Pulp3 user, | have containers

As an Ansible user, | have containers
11/27/2018 10:56 PM - bmbouter

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Sprint/Milestone:

Platform Release: Tags:

Groomed: No Sprint:

Sprint Candidate: No Quarter:

Description

This machinery should run when a release tag is pushed indicating a new release, similar to how plugins publish to PyPI already.
When activated it should:

1. Install the plugin on top of the generic, most recent core container.
2. start that container and run pulp-smash tests against it

3. If all the tests pass, publish the container to quay.io with credentials

The credentials need to be configured somehow in the config files.

History

#1 -11/27/2018 10:57 PM - bmbouter
- Parent task set to #4188

#2 - 04/26/2019 10:33 PM - bmbouter
- Tags deleted (Pulp 3)

#3 - 02/16/2021 05:06 PM - bmbouter
- Status changed from NEW to CLOSED - CURRENTRELEASE

The single container provides this.
